import Vue from 'vue';
import { LMap, LTileLayer, LMarker ,LControl} from 'vue2-leaflet';
import 'leaflet/dist/leaflet.css'; 
import L from 'leaflet';
import LGeosearch from "vue2-leaflet-geosearch";
import { OpenStreetMapProvider } from 'leaflet-geosearch';




Vue.component('l-map', LMap);
Vue.component('l-tile-layer', LTileLayer);
Vue.component('l-marker', LMarker);
Vue.component('l-control', LControl);
Vue.component('l-geosearch ', LGeosearch);




delete L.Icon.Default.prototype._getIconUrl;
// L.map('my-map').invalidateSize(); 
L.Icon.Default.mergeOptions({
  iconRetinaUrl: require('leaflet/dist/images/marker-icon-2x.png'),
  iconUrl: require('leaflet/dist/images/marker-icon.png'),
  shadowUrl: require('leaflet/dist/images/marker-shadow.png')
});
